Subject: RE: [External] : bug#1305: All code that currently beeps should use visual bell instead

From: Drew Adams <[email-masked]>
Date: Sat, 17 Apr 2021 23:30:15 +0000

> I was giving a feedback from the point of view of a user who
> disables all beeps, visual or not, and who knows he's not alone:
> Spacemacs, Doom Emacs and Prelude (and probably others, I did not check)
> all set ring-bell-function to nil.

I too disable all audible beeps.  But I don't set
`ring-bell-function' to nil.  I set it to function
`echo-bell', which shows `echo-bell-string' in the
echo area for `echo-bell-delay' sec.  It's shown
at the far right of the echo area.

(I mistakenly wrote earlier (msg #424) that it's
shown in the mode-line.  I meant echo-area.)